#
# spec file for package gnome-gmail
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-gmail
Version:        1.8.2
Release:        2.2
Summary:        Gmail as a gnome mail handler
License:        GPL-2.0+
Group:          Productivity/Networking/Email/Clients
Url:            http://sourceforge.net/projects/%{name}
Source:         http://downloads.sourceforge.net/project/gnome-gmail/Version_1.8.2/%{name}-%{version}.tar.gz
# For directory ownerships
BuildRequires:  gnome-control-center
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gconf-2.0)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
# gconf-editor is launched for configuration
Requires:       gconf-editor
Requires:       gnome-control-center
%if 0%{?suse_version} <= 1130
Requires:       gnome-python-desktop
%else
Requires:       python-gnomekeyring
%endif
%if 0%{?suse_version} <= 1130
Requires:       python-gnome
%else
Requires:       python-gconf
%endif
Requires:       python-gtk
Requires:       python-xml
Requires:       xdg-utils
%gconf_schemas_requires

%description
This package makes Gmail a choice in the Gnome control panel for the default
mail handler. It opens in the default web browser.

%lang_package
%prep
%setup -q

%build
%configure
%__make %{?_smp-mflags}

%install
%makeinstall
%suse_update_desktop_file %{name}
%suse_update_desktop_file %{buildroot}%{_datadir}/gnome/autostart/setOOmailer.desktop
%if !(0%{?favor_gtk2})
rm %{buildroot}%{_datadir}/gnome-control-center/default-apps/gnome-gmail.xml
%endif
%find_gconf_schemas
%find_lang %{name} %{?no_lang_C}

%clean
rm -Rf %{buildroot}

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%if 0%{?suse_version} > 1130

%post
%desktop_database_post
%icon_theme_cache_post
%endif

%if 0%{?suse_version} > 1130

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files -f %{name}.schemas_list
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/gnome-gmail
%{_bindir}/setOOmailer
%if 0%{?favor_gtk2}
%{_datadir}/gnome-control-center/default-apps/gnome-gmail.xml
%endif
%{_datadir}/gnome-gmail/
%{_datadir}/icons/hicolor/*/apps/gnome-gmail.png
%{_datadir}/applications/gnome-gmail.desktop
%{_datadir}/gnome/autostart/setOOmailer.desktop
%{_mandir}/man1/gnome-gmail.1%{?ext_man}
%{_mandir}/man1/setOOmailer.1%{?ext_man}
%dir %{_datadir}/gnome
%dir %{_datadir}/gnome/autostart

%files lang -f %{name}.lang

%changelog
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Nov 15 2011 vuntz@opensuse.org
- Update to version 1.8.2:
  + Determine Drafts folder, for attachments, using Google IMAP
    Extentions
  + Remove dependency on libgnome2
  + Updated translations.
- Add xdg-utils Requires since xdg-open is used.
* Mon Sep  5 2011 vuntz@opensuse.org
- Update to version 1.8.1:
  + GNOME 3 compatibility (lp#729357)
  + Fix setting gnome-gmail as default mailer, using dconf
  + Messages with attachments open directly, instead of the Drafts
    folder
  + Fixed "Send Document as Email" in LibreOffice (lp#774055)
  + Unity message indicator (lp#773765)
  + Translation improvements (lp#783005)
- Drop gnome-gmail-scheme-handler.patch: fixed upstream.
* Tue Jul  5 2011 vuntz@opensuse.org
- Do not package a GNOME 2 file if we target a GTK+ 3 build:
  %%{_datadir}/gnome-control-center/default-apps/gnome-gmail.xml
  will not be used by the control center in GNOME 3.
* Fri Jun 17 2011 vuntz@opensuse.org
- Update to version 1.7.2:
  + Fix build.
- Changes from version 1.7.1:
  + Manage the Preferred Mail setting from inside the application
  + Configure LibreOffice and newer OpenOffice installs to use
    GNOME email
  + Refer to attached files by name instead of path
  + Minor bug fixes.
  + Updated translations.
- Add gnome-gmail-scheme-handler.patch: this makes gnome-gmail
  GNOME 3 compliant by declaring the x-scheme-handler MimeType in
  its .desktop file.
- Stop replacing categories in the .desktop file: they are fine
  now.
- Add missing Requires: gconf-editor, python-gnomekeyring (or
  gnome-python-desktop on 11.3 and earlier), python-gconf (or
  python-gnome on 11.3 and earlier), python-gtk, python-xml.
- Drop python-gobject2 Requires: it's not needed.
* Sat Feb 12 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
* Mon Dec 20 2010 dimstar@opensuse.org
- Spec file cleanup
